examples.jphase

## Class PhaseSystem

- java.lang.Object
- - jmarkov.MarkovProcess<S,E>
  - - jmarkov.SimpleMarkovProcess<examples.jphase.RealSystemState,examples.jphase.RealSystemEvent>
    - - examples.jphase.PhaseSystem

- All Implemented Interfaces:
    JMarkovElement

      public class PhaseSystem
      extends SimpleMarkovProcess<examples.jphase.RealSystemState,examples.jphase.RealSystemEvent>

  Author:
    Leonardo Lozano and Laura Vielma

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jmarkov.MarkovProcess

      `MarkovProcess.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseSystem(ContPhaseVar[] Distributions, double lambda, int Max)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `active(examples.jphase.RealSystemState i, examples.jphase.RealSystemEvent e)` Determines the active events.
    `java.lang.String` | `description()` This method should be implemented by the subclass to give word description of the model.
    `States<examples.jphase.RealSystemState>` | `dests(examples.jphase.RealSystemState i, examples.jphase.RealSystemEvent e)` Determines the destination set of States when events e occurs.
    `static void` | `main(java.lang.String[] s)`
    `double` | `rate(examples.jphase.RealSystemState i, examples.jphase.RealSystemState j, examples.jphase.RealSystemEvent e)` Returns the rate to go from State i to j when Event e occurs.

    - ### Methods inherited from class jmarkov.SimpleMarkovProcess

      `activeTransitions`

    - ### Methods inherited from class jmarkov.MarkovProcess

      `addMOP, allToString, canGo, clearMOPs, debug, debug, debug, denseMatrixToString, denseMatrixToString, eventRatesToString, eventsRatesToString, generate, getDebugLevel, getDebugReporter, getEventClass, getEventNames, getEventRate, getEvents, getEventsRates, getFinalRate, getGenerator, getMaxStates, getMOPIndex, getMOPNames, getMOPNames, getMOPsAvg, getMOPsAvg, getMOPsAvg, getMOPsMoment, getMOPsMoment, getMOPsMoment, getMtjGenerator, getMtjRates, getNumStates, getProgress, getRate, getRates, getRates, getStateClass, getStates, getStates, getStatus, getStatusMsg, getSteadyState, getSteadyStateSolver, getTransientSolver, go, goStep, hideGUI, isGenerated, killGUI, label, loadGUI, MOPsToString, MOPsToString, numMOPs, pause, printAll, printAll, printDenseMatrix, printDenseMatrix, printEventsRates, printEventsRates, printMOPs, printMOPs, printMOPs, printStates, printStates, reset, resetResults, setDebugLevel, setDebugReporter, setMaxStates, setMOPs, setSteadyStateSolver, setTransientSolver, showGUI, statesLableMaxWidth, statesToString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Constructor Detail

    - #### PhaseSystem

          public PhaseSystem(ContPhaseVar[] Distributions,
                     double lambda,
                     int Max)

      Parameters:
        `Distributions` -
        `lambda` -
        `Max` -

  - ### Method Detail

    - #### active

          public boolean active(examples.jphase.RealSystemState i,
                       examples.jphase.RealSystemEvent e)

      Determines the active events.
      Specified by:
        `active` in class `SimpleMarkovProcess<examples.jphase.RealSystemState,examples.jphase.RealSystemEvent>`
      Parameters:
        `i` - The current State
        `e` - The current Event.
      Returns:
        True if the Event is Active.

    - #### dests

          public States<examples.jphase.RealSystemState> dests(examples.jphase.RealSystemState i,
                                                      examples.jphase.RealSystemEvent e)

      Description copied from class: `SimpleMarkovProcess`
      Determines the destination set of States when events e occurs. It has to be implemented by the subclass.
      Specified by:
        `dests` in class `SimpleMarkovProcess<examples.jphase.RealSystemState,examples.jphase.RealSystemEvent>`
      Parameters:
        `i` - current State.
        `e` - The Event that ocurred.
      Returns:
        The destination States

    - #### rate

          public double rate(examples.jphase.RealSystemState i,
                    examples.jphase.RealSystemState j,
                    examples.jphase.RealSystemEvent e)

      Description copied from class: `SimpleMarkovProcess`
      Returns the rate to go from State i to j when Event e occurs. This is called only if Event `e` is indeed active and j is a valid destination.
      Specified by:
        `rate` in class `SimpleMarkovProcess<examples.jphase.RealSystemState,examples.jphase.RealSystemEvent>`
      Parameters:
        `i` - Current state
        `j` - Destination State
        `e` - The occuring event
      Returns:
        The rate at which the system goes from i to j when e occurs.
      See Also:
        `SimpleMarkovProcess.dests(State, Event)`

    - #### description

          public java.lang.String description()

      Description copied from class: `MarkovProcess`
      This method should be implemented by the subclass to give word description of the model. For example it should say: Queueing system with 2 servers and exponential arrivals with rate 50 per hour.
      Specified by:
        `description` in interface `JMarkovElement`
      Specified by:
        `description` in class `MarkovProcess<examples.jphase.RealSystemState,examples.jphase.RealSystemEvent>`
      Returns:
        A description of the Model
      See Also:
        `JMarkovElement.label()`

    - #### main

          public static void main(java.lang.String[] s)

      Parameters:
        `s` -